/* AUTOGENERATED FILE. DO NOT EDIT. */
#ifndef _MOCK_UART_DRIVER_H
#define _MOCK_UART_DRIVER_H

#include "unity.h"
#include "stdint.h"
#include "uart_driver.h"

/* Ignore the following warnings, since we are copying code */
#if defined(__GNUC__) && !defined(__ICC) && !defined(__TMS470__)
#if __GNUC__ > 4 || (__GNUC__ == 4 && (__GNUC_MINOR__ > 6 || (__GNUC_MINOR__ == 6 && __GNUC_PATCHLEVEL__ > 0)))
#pragma GCC diagnostic push
#endif
#if !defined(__clang__)
#pragma GCC diagnostic ignored "-Wpragmas"
#endif
#pragma GCC diagnostic ignored "-Wunknown-pragmas"
#pragma GCC diagnostic ignored "-Wduplicate-decl-specifier"
#endif

void mock_uart_driver_Init(void);
void mock_uart_driver_Destroy(void);
void mock_uart_driver_Verify(void);




#define config_hardware_Ignore() config_hardware_CMockIgnore()
void config_hardware_CMockIgnore(void);
#define config_hardware_StopIgnore() config_hardware_CMockStopIgnore()
void config_hardware_CMockStopIgnore(void);
#define config_hardware_ExpectAnyArgs() config_hardware_CMockExpectAnyArgs(__LINE__)
void config_hardware_CMockExpectAnyArgs(UNITY_LINE_TYPE cmock_line);
#define config_hardware_Expect(baudrate) config_hardware_CMockExpect(__LINE__, baudrate)
void config_hardware_CMockExpect(UNITY_LINE_TYPE cmock_line, uint32_t baudrate);
typedef void (* CMOCK_config_hardware_CALLBACK)(uint32_t baudrate, int cmock_num_calls);
void config_hardware_AddCallback(CMOCK_config_hardware_CALLBACK Callback);
void config_hardware_Stub(CMOCK_config_hardware_CALLBACK Callback);
#define config_hardware_StubWithCallback config_hardware_Stub
#define config_hardware_IgnoreArg_baudrate() config_hardware_CMockIgnoreArg_baudrate(__LINE__)
void config_hardware_CMockIgnoreArg_baudrate(UNITY_LINE_TYPE cmock_line);
#define uart_receive_char_IgnoreAndReturn(cmock_retval) uart_receive_char_CMockIgnoreAndReturn(__LINE__, cmock_retval)
void uart_receive_char_CMockIgnoreAndReturn(UNITY_LINE_TYPE cmock_line, char cmock_to_return);
#define uart_receive_char_StopIgnore() uart_receive_char_CMockStopIgnore()
void uart_receive_char_CMockStopIgnore(void);
#define uart_receive_char_ExpectAndReturn(cmock_retval) uart_receive_char_CMockExpectAndReturn(__LINE__, cmock_retval)
void uart_receive_char_CMockExpectAndReturn(UNITY_LINE_TYPE cmock_line, char cmock_to_return);
typedef char (* CMOCK_uart_receive_char_CALLBACK)(int cmock_num_calls);
void uart_receive_char_AddCallback(CMOCK_uart_receive_char_CALLBACK Callback);
void uart_receive_char_Stub(CMOCK_uart_receive_char_CALLBACK Callback);
#define uart_receive_char_StubWithCallback uart_receive_char_Stub
#define uart_send_char_Ignore() uart_send_char_CMockIgnore()
void uart_send_char_CMockIgnore(void);
#define uart_send_char_StopIgnore() uart_send_char_CMockStopIgnore()
void uart_send_char_CMockStopIgnore(void);
#define uart_send_char_ExpectAnyArgs() uart_send_char_CMockExpectAnyArgs(__LINE__)
void uart_send_char_CMockExpectAnyArgs(UNITY_LINE_TYPE cmock_line);
#define uart_send_char_Expect(byte) uart_send_char_CMockExpect(__LINE__, byte)
void uart_send_char_CMockExpect(UNITY_LINE_TYPE cmock_line, char byte);
typedef void (* CMOCK_uart_send_char_CALLBACK)(char byte, int cmock_num_calls);
void uart_send_char_AddCallback(CMOCK_uart_send_char_CALLBACK Callback);
void uart_send_char_Stub(CMOCK_uart_send_char_CALLBACK Callback);
#define uart_send_char_StubWithCallback uart_send_char_Stub
#define uart_send_char_IgnoreArg_byte() uart_send_char_CMockIgnoreArg_byte(__LINE__)
void uart_send_char_CMockIgnoreArg_byte(UNITY_LINE_TYPE cmock_line);

#if defined(__GNUC__) && !defined(__ICC) && !defined(__TMS470__)
#if __GNUC__ > 4 || (__GNUC__ == 4 && (__GNUC_MINOR__ > 6 || (__GNUC_MINOR__ == 6 && __GNUC_PATCHLEVEL__ > 0)))
#pragma GCC diagnostic pop
#endif
#endif

#endif
